package com.mortals.xhx.module.doc.form.model;

import java.util.List;
import com.mortals.xhx.module.doc.form.model.vo.DocFormVo;
/**
* doc单查询对象
*
* @author zxfei
* @date 2021-10-16
*/
public class DocFormQuery extends DocFormEntity {
    /** 开始 ID,主键，自增长 */
    private Long idStart;

    /** 结束 ID,主键，自增长 */
    private Long idEnd;

    /** 增加 ID,主键，自增长 */
    private Long idIncrement;

    /** ID,主键，自增长列表 */
    private List <Long> idList;

    /** 开始 模板ID */
    private Long templateIdStart;

    /** 结束 模板ID */
    private Long templateIdEnd;

    /** 增加 模板ID */
    private Long templateIdIncrement;

    /** 模板ID列表 */
    private List <Long> templateIdList;

    /** 表单名称 */
    private List<String> formNameList;

    /** 表单内容 */
    private List<String> formContentList;

    /** 备注 */
    private List<String> remarkList;

    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户,登录名 */
    private List<String> updateUserList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户,登录名 */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DocFormQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DocFormQuery> andConditionList;

    public DocFormQuery(){}

    /**
    * 获取 开始 ID,主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 ID,主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 ID,主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 ID,主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 ID,主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 ID,主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 ID,主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 ID,主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 模板ID
    * @return templateIdStart
    */
    public Long getTemplateIdStart(){
        return this.templateIdStart;
    }

    /**
    * 设置 开始 模板ID
    * @param templateIdStart
    */
    public void setTemplateIdStart(Long templateIdStart){
        this.templateIdStart = templateIdStart;
    }

    /**
    * 获取 结束 模板ID
    * @return $templateIdEnd
    */
    public Long getTemplateIdEnd(){
        return this.templateIdEnd;
    }

    /**
    * 设置 结束 模板ID
    * @param templateIdEnd
    */
    public void setTemplateIdEnd(Long templateIdEnd){
        this.templateIdEnd = templateIdEnd;
    }

    /**
    * 获取 增加 模板ID
    * @return templateIdIncrement
    */
    public Long getTemplateIdIncrement(){
        return this.templateIdIncrement;
    }

    /**
    * 设置 增加 模板ID
    * @param templateIdIncrement
    */
    public void setTemplateIdIncrement(Long templateIdIncrement){
        this.templateIdIncrement = templateIdIncrement;
    }

    /**
    * 获取 模板ID
    * @return templateIdList
    */
    public List<Long> getTemplateIdList(){
        return this.templateIdList;
    }

    /**
    * 设置 模板ID
    * @param templateIdList
    */
    public void setTemplateIdList(List<Long> templateIdList){
        this.templateIdList = templateIdList;
    }

    /**
    * 获取 表单名称
    * @return formNameList
    */
    public List<String> getFormNameList(){
        return this.formNameList;
    }

    /**
    * 设置 表单名称
    * @param formNameList
    */
    public void setFormNameList(List<String> formNameList){
        this.formNameList = formNameList;
    }
    /**
    * 获取 表单内容
    * @return formContentList
    */
    public List<String> getFormContentList(){
        return this.formContentList;
    }

    /**
    * 设置 表单内容
    * @param formContentList
    */
    public void setFormContentList(List<String> formContentList){
        this.formContentList = formContentList;
    }
    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 变更用户,登录名
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户,登录名
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 创建用户,登录名
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户,登录名
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }
    /**
    * 设置  ID,主键，自增长
    * @param id
    */
    public DocFormQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 ID,主键，自增长
    * @param idStart
    */
    public DocFormQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 ID,主键，自增长
    * @param idEnd
    */
    public DocFormQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 ID,主键，自增长
    * @param idIncrement
    */
    public DocFormQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 ID,主键，自增长
    * @param idList
    */
    public DocFormQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  模板ID
    * @param templateId
    */
    public DocFormQuery templateId(Long templateId){
	    setTemplateId(templateId);
		return this;
    }
	
	 /**
    * 设置 开始 模板ID
    * @param templateIdStart
    */
    public DocFormQuery templateIdStart(Long templateIdStart){
		this.templateIdStart = templateIdStart;
		return this;
    }

    /**
    * 设置 结束 模板ID
    * @param templateIdEnd
    */
    public DocFormQuery templateIdEnd(Long templateIdEnd){
		this.templateIdEnd = templateIdEnd;
		return this;
    }

    /**
    * 设置 增加 模板ID
    * @param templateIdIncrement
    */
    public DocFormQuery templateIdIncrement(Long templateIdIncrement){
		this.templateIdIncrement = templateIdIncrement;
		return this;
    }

    /**
    * 设置 模板ID
    * @param templateIdList
    */
    public DocFormQuery templateIdList(List<Long> templateIdList){
        this.templateIdList = templateIdList;
		return this;
        }


	/**
    * 设置 表单名称
    * @param formName
    */
    public DocFormQuery formName(String formName){
        setFormName(formName);
		return this;
    }

    /**
    * 设置 表单名称
    * @param formNameList
    */
    public DocFormQuery formNameList(List<String> formNameList){
        this.formNameList = formNameList;
		return this;
    }


	/**
    * 设置 表单内容
    * @param formContent
    */
    public DocFormQuery formContent(String formContent){
        setFormContent(formContent);
		return this;
    }

    /**
    * 设置 表单内容
    * @param formContentList
    */
    public DocFormQuery formContentList(List<String> formContentList){
        this.formContentList = formContentList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public DocFormQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public DocFormQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }



	/**
    * 设置 变更用户,登录名
    * @param updateUser
    */
    public DocFormQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }

    /**
    * 设置 变更用户,登录名
    * @param updateUserList
    */
    public DocFormQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }



	/**
    * 设置 创建用户,登录名
    * @param createUser
    */
    public DocFormQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }

    /**
    * 设置 创建用户,登录名
    * @param createUserList
    */
    public DocFormQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DocFormQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DocFormQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DocFormQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DocFormQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}